section
  name Graphical User Interfaces

  section(anchor='GUI')
    name Operation Graphical User Interface

    t
      | The n_ToF Graphical User Interface (GUI) is developed as a Web-Application
      | following the rules described in #[xref(target='en-smm-apc-web-dev-guidelines-01') APC Web-Dev guidelines].

    section(anchor='GUI_Deploy')
      name Deployment

      t
        | The n_ToF Graphical User Interface (GUI) #[bcp14 MUST] be deployed on an #[tt ntof-daq]
        | #[tt OpenShift] project using #[tt ntofprod] service account, as
        | described in
        | #[xref(target='en-smm-apc-web-dev-guidelines-01') APC Web-Dev guidelines].

      t
        | Two applications #[bcp14 SHOULD] be deployed:
      table
        thead
          tr #[th Application] #[th Endpoint] #[th Description]
        tbody
          tr
            td op-control
            td https://ntof-daq.web.cern.ch/operation
            td stable application deployed using version tags.
          tr
            td op-control-beta
            td https://ntof-daq.web.cern.ch/operation/beta
            td experimental application deployed on every commit.
      
    section(anchor='GUI_BeamLine_Page')
      name BeamLine Page 

      t
        | In this web application there is a BeamLine page where all the information about Vacuum Pumps involved in the 
        | experiment are displayed. For more information about the states, please refer to #[xref(target="EDMS_VACUUM_PUMPS") EDMS document 1689915]
      
  section(anchor='Standalone_DAQ')
    name Standalone-DAQ Graphical User Interface

    t
      | The Standalone-DAQ is an expert Graphical User Interface developed as
      | a Web-Application and meant to directly control a #[xref(target="DAQMANAGER") DaqManager] instance.

    t
      | This software #[bcp14 SHOULD NOT] be used in parallel to the
      | #[xref(target='GUI') main GUI].

    t
      | The n_ToF Standalone-DAQ is developed as a Web-Application
      | following the rules described in #[xref(target='en-smm-apc-web-dev-guidelines-01') APC Web-Dev guidelines].

    section(anchor='SDAQ_Deploy')
      name Deployment

      t
        | The Standalone-DAQ #[bcp14 MUST] be deployed on an #[tt ntof-daq]
        | #[tt OpenShift] project using #[tt ntofprod] service account, as
        | described in
        | #[xref(target='en-smm-apc-web-dev-guidelines-01') APC Web-Dev guidelines].

      t
        | Two applications #[bcp14 SHOULD] be deployed:
      table
        thead
          tr #[th Application] #[th Endpoint] #[th Description]
        tbody
          tr
            td standalone-daq
            td https://ntof-daq.web.cern.ch/standalone
            td stable application deployed using version tags.
          tr
            td standalone-daq-beta
            td https://ntof-daq.web.cern.ch/standalone/beta
            td experimental application deployed on every commit.

      section(anchor='Auth')
        name Authentication

        t
          | Authentication #[bcp14 MUST] be done using #[tt CERN OAuth] (as
          | described in #[xref(target='en-smm-apc-web-dev-guidelines-01') APC Web-Dev guidelines]),
          | using a different client-id for the beta and production accounts.

        t
          | Access #[bcp14 MUST] be limited to #[tt ntof-members] and
          | #[tt ntof-experts] e-group members.